org.keycloak.storage.ldap.mappers

## Class CertificateLDAPStorageMapper

- java.lang.Object
- - org.keycloak.storage.ldap.mappers.AbstractLDAPStorageMapper
  - - org.keycloak.storage.ldap.mappers.UserAttributeLDAPStorageMapper
    - - org.keycloak.storage.ldap.mappers.CertificateLDAPStorageMapper

- All Implemented Interfaces:
    Provider, LDAPStorageMapper

      public class CertificateLDAPStorageMapper
      extends UserAttributeLDAPStorageMapper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `IS_DER_FORMATTED`

    - ### Fields inherited from class org.keycloak.storage.ldap.mappers.UserAttributeLDAPStorageMapper

      `ALWAYS_READ_VALUE_FROM_LDAP, ATTRIBUTE_DEFAULT_VALUE, IS_BINARY_ATTRIBUTE, IS_MANDATORY_IN_LDAP, LDAP_ATTRIBUTE, READ_ONLY, USER_MODEL_ATTRIBUTE`

    - ### Fields inherited from class org.keycloak.storage.ldap.mappers.AbstractLDAPStorageMapper

      `ldapProvider, mapperModel, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateLDAPStorageMapper(ComponentModel mapperModel, LDAPStorageProvider ldapProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeLDAPQuery(LDAPQuery query)` Called before LDAP Identity query for retrieve LDAP users was executed.

    - ### Methods inherited from class org.keycloak.storage.ldap.mappers.UserAttributeLDAPStorageMapper

      `checkDuplicateEmail, checkDuplicateUsername, onImportUserFromLDAP, onRegisterUserToLDAP, proxy, setPropertyOnUserModel`

    - ### Methods inherited from class org.keycloak.storage.ldap.mappers.AbstractLDAPStorageMapper

      `close, getGroupMembers, getLdapProvider, getRoleMembers, onAuthenticationFailure, parseBooleanParameter, syncDataFromFederationProviderToKeycloak, syncDataFromKeycloakToFederationProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IS_DER_FORMATTED

          public static final String IS_DER_FORMATTED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CertificateLDAPStorageMapper

          public CertificateLDAPStorageMapper(ComponentModel mapperModel,
                                              LDAPStorageProvider ldapProvider)

  - ### Method Detail

    - #### beforeLDAPQuery

          public void beforeLDAPQuery(LDAPQuery query)

      Description copied from interface: `LDAPStorageMapper`
      Called before LDAP Identity query for retrieve LDAP users was executed. It allows to change query somehow (add returning attributes from LDAP, change conditions etc)
      Specified by:
        `beforeLDAPQuery` in interface `LDAPStorageMapper`
      Overrides:
        `beforeLDAPQuery` in class `UserAttributeLDAPStorageMapper`

Copyright © 2021 JBoss by Red Hat. All rights reserved.